Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class SET.Template.Element

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.SET.Template.Element

Enclosing class:
  SET.Template

public static class SET.Template.Element
extends java.lang.Object

An element of a SET template.

Constructor Summary
`SET.Template.Element(Tag implicitTag, ASN1Template type, ASN1Value defaultVal)`
`SET.Template.Element(Tag implicitTag, ASN1Template type, boolean optional)`

Method Summary
`ASN1Value` | `getDefault()` Returns the default value for this element, if one exists.
`Tag` | `getImplicitTag()`
`ASN1Template` | `getTemplate()` Returns the template for this element.
`boolean` | `isOptional()`
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag satisfies this SET element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SET.Template.Element

    public SET.Template.Element(Tag implicitTag,
                                ASN1Template type,
                                boolean optional)

### SET.Template.Element

    public SET.Template.Element(Tag implicitTag,
                                ASN1Template type,
                                ASN1Value defaultVal)

Method Detail

### isOptional

    public boolean isOptional()

### getImplicitTag

    public Tag getImplicitTag()

### tagMatch

    public boolean tagMatch(Tag tag)

  Determines whether the given tag satisfies this SET element.

### getTemplate

    public ASN1Template getTemplate()

  Returns the template for this element.

### getDefault

    public ASN1Value getDefault()

  Returns the default value for this element, if one exists. Otherwise, returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD